{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez la catégorie {{ category.name }} de la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="FAQ"/>
	<meta property="og:description" content="Consultez la catégorie {{ category.name }} de la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
{% endblock %}

{% block title %}FAQ -
	{{ category.name }}
{% endblock %}

{% block body %}
	<section class="container faq-category">
		<div class="faq-category__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>
		<h1 class="title title--1 center">FAQ -
			{{ category.name }}</h1>

		{% if not faqs.items is same as([]) %}
			{% for faq in faqs %}
				<div class="faq-category__faq">
					<h2 class="title title--2">{{ faq.question }}</h2>
					<div>
						<p>{{ faq.response|length > 500 ? (faq.response|slice(0, 500) ~ '...')|striptags|raw|nl2br : faq.response|striptags|raw|nl2br }}</p>
					</div>
					<div class="buttons">
						{% include 'components/_button.html.twig' with {
						'class': 'button button__primary',
						'type': 'link',
						'path': {
							'name': 'faq_show_faq',
							'args': {
								'slug': faq.slug
							}
						},
						'label': 'Voir cette question'
					} %}
					</div>
				</div>
			</div>
		{% endfor %}

		{{ knp_pagination_render(faqs) }}
	{% else %}
		<h2 class="subtitle center">Aucune question n'a été publié à ce jour au sein de cette catégorie</h2>
	{% endif %}
</section>{% endblock %}
